> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trychroma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get indexing status

> Returns the indexing status of a collection.



## OpenAPI

````yaml https://api.trychroma.com/openapi.json get /api/v2/tenants/{tenant}/databases/{database}/collections/{collection_id}/indexing_status
openapi: 3.1.0
info:
  title: chroma-frontend
  description: ''
  license:
    name: ''
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/tenants/{tenant}/databases/{database}/collections/{collection_id}/indexing_status:
    get:
      tags:
        - Record
      summary: Get indexing status
      description: Returns the indexing status of a collection.
      operationId: indexing_status
      parameters:
        - name: tenant
          in: path
          description: Tenant UUID
          required: true
          schema:
            type: string
          example: 1e30d217-3d78-4f8c-b244-79381dc6a254
        - name: database
          in: path
          description: Database name
          required: true
          schema:
            type: string
        - name: collection_id
          in: path
          description: Collection UUID
          required: true
          schema:
            type: string
          example: 1e30d217-3d78-4f8c-b244-79381dc6a254
      responses:
        '200':
          description: Index status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndexStatusResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Collection not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - label: Get indexing status
          lang: typescript
          source: 'const status: IndexingStatus = await collection.getIndexingStatus();'
        - label: Get indexing status
          lang: python
          source: status = collection.get_indexing_status()
        - label: Get indexing status
          lang: rust
          source: let status = collection.get_indexing_status().await?;
components:
  schemas:
    IndexStatusResponse:
      type: object
      required:
        - op_indexing_progress
        - num_unindexed_ops
        - num_indexed_ops
        - total_ops
      properties:
        num_indexed_ops:
          type: integer
          format: int64
          minimum: 0
        num_unindexed_ops:
          type: integer
          format: int64
          minimum: 0
        op_indexing_progress:
          type: number
          format: float
        total_ops:
          type: integer
          format: int64
          minimum: 0
    ErrorResponse:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-chroma-token

````